/* 
 * drivers/char/watchdog/omap_wdt_core.h
 * 
 * Function declarations used by Watchdog Core driver OMAP platforms
 * These are to be implemented on a platform basis.
 *
 * Copyright (C) 2004 Texas Instruments, Inc. 
 * 
 * This package is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. 
 * 
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED 
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE. 
 */

#ifndef __OMAP_WDT_CORE_H_
#define __OMAP_WDT_CORE_H_

/* Will Re-Load the Watch dog counter */
void omap_wdt_ping(void);

/* Enable the Watchdog timer */
void omap_wdt_enable(void);

/* Disable the watchdog timer */
void omap_wdt_disable(void);

/* Write to the Watch dog Load register */
void omap_wldr_write(unsigned long);

/* Return the watchdog information */
unsigned int omap_wdt_boot_status(void);

/* Returns the hardware specific time margins */
void omap_wdt_get_time_margin (int * min, int * max);

/* Hardware specific initializations */
int omap_wdt_start(int timer_margin);

#endif  /* __OMAP_WDT_CORE_H_ */
