/*
 *  linux/drivers/media/video/omap/camera_i2c.h
 *
 * Copyright (C) 2004 Texas Instruments Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef CAMERA_I2C_H
#define CAMERA_I2C_H

#include <linux/i2c.h>
#include "ov9640.h"

/* The Camera Serial Bus */
struct camera_serial_bus_ops {
    unsigned char version;
	int (*init)(void);
	void (*cleanup)(void);
	int (*read)(u8 reg, u8 *val);
	int (*write)(u8 reg, u8 val);
};

struct camera_i2c_param {
	/* I2C parameters */
	struct i2c_client client;
	struct i2c_driver driver;
};

#endif /* CAMERA_I2C_H */
