/*
 *  linux/drivers/media/video/omap/camif.h
 *
 * Copyright (C) 2004 Texas Instruments Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <linux/videodev.h>
#include "camera.h"

// The Camera Serial Bus
typedef struct camera_serial_bus {
	int dev_id;
	
	int (*init)(void);
	void (*cleanup)(void);

	int (*set_devid)(int id);
	int (*read)(u8 addr, u8* buf, int len);
	int (*write)(u8 addr, u8* buf, int len);
	int (*write_verify)(u8 addr, u8 val);
} camera_sbus_t;

// Implementations of camera serial bus
extern struct camera_serial_bus camera_sbus_sccb;
extern struct camera_serial_bus camera_sbus_old_i2c;
#ifdef CONFIG_ARCH_OMAP1610
extern struct camera_serial_bus camera_sbus_new_i2c;
#endif

// Implementations of camera interface
#ifdef CONFIG_OMAP_INNOVATOR
extern struct camera_interface camif_innovator;
#else
extern struct camera_interface camif_evm;
#endif

