/*
 *  linux/drivers/media/video/omap/common.h
 *
 * Copyright (C) 2004 Texas Instruments Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define PFX MODULE_NAME

#define CAM_DEBUG
#undef CAM_VDEBUG

#ifdef CAM_DEBUG
#define	dbg(fmt, args...) printk(KERN_DEBUG "%s: " fmt, __func__, ## args)
#else
#define	dbg(fmt, args...)
#endif

#ifdef CAM_VDEBUG
#define ENTRY(x...) dbg("enter\n");
#define EXIT(x...)  dbg("exit\n");
#else
#define ENTRY(x...)
#define EXIT(x...)
#endif

#define err(format, arg...) printk(KERN_ERR PFX ": " format , ## arg)
#define info(format, arg...) printk(KERN_INFO PFX ": " format , ## arg)
#define warn(format, arg...) printk(KERN_WARNING PFX ": " format , ## arg)
#define emerg(format, arg...) printk(KERN_EMERG PFX ": " format , ## arg)

#define DUMP_BUF(buf,num) {\
	int i;\
	for (i=0; i < (num); i+=8) {\
		dbg("%02x: %02x %02x %02x %02x %02x %02x %02x %02x\n",\
		    i, (buf)[i+0], (buf)[i+1], (buf)[i+2], (buf)[i+3],\
		    (buf)[i+4], (buf)[i+5], (buf)[i+6], (buf)[i+7]);\
	}\
}
