/*
 *  linux/drivers/media/video/omap/omap_camera_if.h
 *
 * Copyright (C) 2004 Texas Instruments Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef OMAP_CAMERA_IF_H
#define OMAP_CAMERA_IF_H


struct camera_interface {
    unsigned char version;  //version of the omap1610 camera driver module
	struct camera * camera;
	int (*init)( void (*callback)(void *), struct camera_device *);
	void (*cleanup)(struct camera_device *);
	int (*open)(struct camera_device *);  // acquire h/w resources (irq,DMA), etc.
	int (*close)(void); // free h/w resources, stop i/f
	int (*set_frame_period)(int fp);
	int (*snapshot)(u8* buf, int size);
	int (*abort)(void);
	int (*set_xclk) (int, int );
};

#define DMA_ELEM_SIZE   4
#define FIFO_TRIGGER_LVL (32)

#endif /* OMAP_CAMERA_IF_H */
