/*
 * drivers/misc/omap_timer32k.c
 *
 * Copyright (C) 2004 Texas Instruments Inc
 * Author:
 *
 * 32KHz synchronous Timer interface for the TI OMAP 1610/1710/24xx
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 */

/*
 * Modified this file to generalize the timer32k across 1610/1710/2420 SDP's
 * Author - Girish
 * Modified on : 09 Sept 2004
 *
 */
 
#include <linux/kernel.h>
#include <linux/types.h>
#include <linux/module.h>
#include <asm/arch/io.h>
#include <linux/init.h>

#include "omap_timer32k.h"

/* Necessary for Module support */
static int __init omaptimer_init(void)
{
	printk(" OMAP Timer32K is initialized\n");
	return 0;
}

/* Wait till 32K clock falling edge interrupt changes counter value */
void
omap_wait_for_32kclock_edge(void)
{
	u32 counter_val;
	counter_val = TIMER32K_COUNTER_READ;
	while (counter_val == TIMER32K_COUNTER_READ) {
	}
}

/* Exit module */
static void __exit omaptimer_exit(void)
{
}

EXPORT_SYMBOL(omap_wait_for_32kclock_edge);

module_init(omaptimer_init);
module_exit(omaptimer_exit);
