/*------------------------------------------------------------------------
 . omap24xx-ir.h
 . Copyright (C) 2004 TI
 .
 . This software may be used and distributed according to the terms
 . of the GNU General Public License, incorporated herein by reference.
 .
 . History
 . 22/04/2003              TI    Written
 .
 ---------------------------------------------------------------------------*/

#ifndef DRIVERS_NET_IRDA_OMAP_H
#define DRIVERS_NET_IRDA_OMAP_H

void irda_device_setup(struct net_device *);

#define OMAP24XX_TRIGGER_RX     54
#define OMAP24XX_TRIGGER_TX     53
#define INT_IRDA                74

#define OMAP24XX_REG_SIZE       0x00001000
#define OMAP2420_UART3_BASE     0x4806E000

#define PRCM_CLK_EN_PLL      0x500
#define PRCM_CLK_SEL1_PLL    0x540
#define PRCM_FCLK_EN2_CORE   0x204
#define PRCM_ICLK_EN2_CORE   0x214

/* UART3 Registers Maping through MPU bus */
//#define OMAP24XX_MPU_UART3_BASE     0x4806F000      /* UART3 through MPU bus */

#define UART3_RHR               (uart3_base + 0)
#define UART3_THR               (uart3_base + 0)
#define UART3_DLL               (uart3_base + 0)
#define UART3_IER               (uart3_base + 4)
#define UART3_DLH               (uart3_base + 4)
#define UART3_IIR               (uart3_base + 8)
#define UART3_FCR               (uart3_base + 8)
#define UART3_EFR               (uart3_base + 8)
#define UART3_LCR               (uart3_base + 0x0C)
#define UART3_MCR               (uart3_base + 0x10)
#define UART3_XON1_ADDR1        (uart3_base + 0x10)
#define UART3_XON2_ADDR2        (uart3_base + 0x14)
#define UART3_LSR               (uart3_base + 0x14)
#define UART3_TCR               (uart3_base + 0x18)
#define UART3_MSR               (uart3_base + 0x18)
#define UART3_XOFF1             (uart3_base + 0x18)
#define UART3_XOFF2             (uart3_base + 0x1C)
#define UART3_SPR               (uart3_base + 0x1C)
#define UART3_TLR               (uart3_base + 0x1C)
#define UART3_MDR1              (uart3_base + 0x20)
#define UART3_MDR2              (uart3_base + 0x24)
#define UART3_SFLSR             (uart3_base + 0x28)
#define UART3_TXFLL             (uart3_base + 0x28)
#define UART3_RESUME            (uart3_base + 0x2C)
#define UART3_TXFLH             (uart3_base + 0x2C)
#define UART3_SFREGL            (uart3_base + 0x30)
#define UART3_RXFLL             (uart3_base + 0x30)
#define UART3_SFREGH            (uart3_base + 0x34)
#define UART3_RXFLH             (uart3_base + 0x34)
#define UART3_BLR               (uart3_base + 0x38)
#define UART3_ACREG             (uart3_base + 0x3C)
#define UART3_DIV16             (uart3_base + 0x3C)
#define UART3_SCR               (uart3_base + 0x40)
#define UART3_SSR               (uart3_base + 0x44)
#define UART3_EBLR              (uart3_base + 0x48)
#define UART3_OSC_12M_SEL       (uart3_base + 0x4C)
#define UART3_MVR               (uart3_base + 0x50)

#define omap_prcmreg_read(reg) readl(OMAP24XX_VA_PRCM_BASE + reg)
#define omap_prcmreg_write(data,reg) writel(data, OMAP24XX_VA_PRCM_BASE + reg)

#endif
