/* 
 * linux/include/asm-arm/arch-omap2/eac.h
 * 
 * Defines for Enhanced Audio Controller
 *
 * Copyright (C) 2004 Texas Instruments, Inc. 
 * 
 * This package is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. 
 * 
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED 
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE. 
 */

#ifndef __ASM_ARM_ARCH_OMAP2_EAC_H
#define __ASM_ARM_ARCH_OMAP2_EAC_H

#include <asm/arch/io.h>
#include <asm/arch/hardware.h>
#include <asm/irq.h>

#define EAC_BASE_ADDR_VIRT        IO_ADDREES(EAC_BASE_ADDR_PHYS)
#define EAC_BASE_ADDR             EAC_BASE_ADDR_VIRT

#define CPCFR1_OFFSET             0x00
#define CPCFR2_OFFSET             0x02
#define CPCFR3_OFFSET             0x04
#define CPCFR4_OFFSET             0x06
#define SYSCONFIG_OFFSET          0x82
#define AGCTR_OFFSET              0x60
#define MPMCCFR_OFFSET            0x22
#define MPCTR_OFFSET              0x20
#define BPCTR_OFFSET              0x30
#define CPTCTL_OFFSET             0x08
#define AMSCFR_OFFSET             0x40
#define AGCFR_OFFSET              0x5E
#define AGCFR3_OFFSET             0x64
#define ADRDR_OFFSET              0x5C
#define AMVCTR_OFFSET             0x42

#define OMAP24XX_EAC_SYSCONFIG    (EAC_BASE_ADDR+SYSCONFIG_OFFSET)
#define OMAP24XX_EAC_AGCTR        (EAC_BASE_ADDR+AGCTR_OFFSET)
#define OMAP24XX_EAC_MPCTR        (EAC_BASE_ADDR+MPCTR_OFFSET)
#define OMAP24XX_EAC_BPCTR        (EAC_BASE_ADDR+BPCTR_OFFSET)
#define OMAP24XX_EAC_CPTCTL       (EAC_BASE_ADDR+CPTCTL_OFFSET)
#define OMAP24XX_EAC_AMSCFR       (EAC_BASE_ADDR+AMSCFR_OFFSET)
#define OMAP24XX_EAC_AGCFR        (EAC_BASE_ADDR+AGCFR_OFFSET)
#define OMAP24XX_EAC_ADRDR        (EAC_BASE_ADDR+ADRDR_OFFSET)
#define OMAP24XX_EAC_AMVCTR       (EAC_BASE_ADDR+AMVCTR_OFFSET)
#define OMAP24XX_EAC_MPMCCFR      (EAC_BASE_ADDR+MPMCCFR_OFFSET)

#define OMAP24XX_EAC_CPCFR1       (EAC_BASE_ADDR+CPCFR1_OFFSET)
#define OMAP24XX_EAC_CPCFR2       (EAC_BASE_ADDR+CPCFR2_OFFSET)
#define OMAP24XX_EAC_CPCFR3       (EAC_BASE_ADDR+CPCFR3_OFFSET)
#define OMAP24XX_EAC_CPCFR4       (EAC_BASE_ADDR+CPCFR4_OFFSET)
#define OMAP24XX_EAC_AGCFR3       (EAC_BASE_ADDR+AGCFR3_OFFSET)

#endif				/* __ASM_ARM_ARCH_OMAP2_EAC_H */
