/* 
 * linux/include/asm-arm/arch-omap2/irqs.h
 * 
 * Definitions for IRQs for OMAP2
 *
 * Copyright (C) 2004 Texas Instruments, Inc. 
 * 
 * This package is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. 
 * 
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED 
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE. 
 */

#ifndef __ASM_ARM_ARCH_OMAP2_IRQS_H
#define __ASM_ARM_ARCH_OMAP2_IRQS_H

#include <asm/arch/platform.h>

/* These interrupt vectors are for the OMAP24xx
 */

/*
 *  IRQ Numbers for INT1
 */
#define INT_IRQ_0              0
#define INT_IRQ_1              1
#define INT_IRQ_2              2
#define INT_IRQ_3              3
#define INT_IRQ_4              4
#define INT_IRQ_5              5
#define INT_IRQ_7              7
#define INT_IRQ_10             10
#define INT_IRQ_11             11
#define INT_IRQ_12             12
#define INT_IRQ_13             13
#define INT_IRQ_14             14
#define INT_IRQ_15             15
#define INT_IRQ_20             20
#define INT_IRQ_21             21
#define INT_IRQ_22             22
#define INT_IRQ_23             23
#define INT_IRQ_24             24
#define INT_IRQ_25             25
#define INT_IRQ_26             26
#define INT_IRQ_27             27
#define INT_IRQ_28             28
#define INT_IRQ_29             29
#define INT_IRQ_30             30
#define INT_IRQ_31             31
#define INT_IRQ_32             32
#define INT_IRQ_35             35
#define INT_IRQ_36             36
#define INT_IRQ_37             37
#define INT_IRQ_38             38
#define INT_IRQ_39             39
#define INT_IRQ_40             40
#define INT_IRQ_41             41
#define INT_IRQ_42             42
#define INT_IRQ_43             43
#define INT_IRQ_44             44
#define INT_IRQ_45             45
#define INT_IRQ_46             46
#define INT_IRQ_47             47
#define INT_IRQ_48             48
#define INT_IRQ_50             50
#define INT_IRQ_51             51
#define INT_IRQ_52             52
#define INT_IRQ_53             53
#define INT_IRQ_56             56
#define INT_IRQ_57             57
#define INT_IRQ_58             58
#define INT_IRQ_59             59
#define INT_IRQ_60             60
#define INT_IRQ_61             61
#define INT_IRQ_62             62
#define INT_IRQ_63             63
#define INT_IRQ_64             64
#define INT_IRQ_65             65
#define INT_IRQ_66             66
#define INT_IRQ_67             67
#define INT_IRQ_68             68
#define INT_IRQ_69             69
#define INT_IRQ_70             70
#define INT_IRQ_71             71
#define INT_IRQ_72             72
#define INT_IRQ_73             73
#define INT_IRQ_74             74
#define INT_IRQ_75             75
#define INT_IRQ_76             76
#define INT_IRQ_77             77
#define INT_IRQ_78             78
#define INT_IRQ_79             79
#define INT_IRQ_80             80
#define INT_IRQ_81             81
#define INT_IRQ_83             83
#define INT_IRQ_84             84
#define INT_IRQ_85             85

#define CPU_LAST               95
/* GPIO Demux IRQS INT_IRQ_96-224 */

#define INT_EMUINT             INT_IRQ_0	/* ARM1136 Emulation */
#define INT_COMMRX             INT_IRQ_1	/* ARM1136 Emulation */
#define INT_COMMTX             INT_IRQ_2	/* ARM1136 Emulation */
#define INT_BENCH              INT_IRQ_3	/* ARM1136 Emulation */
#define INT_XTI_IRQ            INT_IRQ_4	/* XTI module */
#define INT_XTI_WKUP_IRQ       INT_IRQ_5	/* XTI module */
#define INT_SYS                INT_IRQ_7	/* External interrupt (active low) */
#define INT_L3_IRQ             INT_IRQ_10	/* L3 interconnect (transaction error) */
#define INT_PRCM_MPU_IRQ       INT_IRQ_11	/* PRCM module */
#define INT_SDMA_IRQ0          INT_IRQ_12	/* System DMA interrupt request 0 */
#define INT_SDMA_IRQ1          INT_IRQ_13	/* System DMA interrupt request 1 */
#define INT_SDMA_IRQ2          INT_IRQ_14	/* System DMA interrupt request 2 */
#define INT_SDMA_IRQ3          INT_IRQ_15	/* System DMA interrupt request 3 */
#define INT_GPMC_IRQ           INT_IRQ_20	/* General purpose memory controller module */
#define INT_GFX_IRQ            INT_IRQ_21	/* 2D/3D graphics module */
#define INT_IVA_IRQ            INT_IRQ_22	/* IVA subsystem (OMAP2420 only) */
#define INT_EAC_IRQ            INT_IRQ_23	/* Audio controller */
#define INT_CAM_MPU_IRQ        INT_IRQ_24	/* Camera interface */
#define INT_DSS_IRQ            INT_IRQ_25	/* Display subsystem module */
#define INT_MAIL_MPU_IRQ       INT_IRQ_26	/* Mailbox MPU interrupts */
#define INT_DSP_UMA_IRQ        INT_IRQ_27	/* DSP subsystem UMA core software interrupt */
#define INT_DSP_MMU_IRQ        INT_IRQ_28	/* DSP subsystem MMU interrupt */
#define INT_GPIO1_MPU_IRQ      INT_IRQ_29	/* GPIO module 1 */
#define INT_GPIO2_MPU_IRQ      INT_IRQ_30	/* GPIO module 2 */
#define INT_GPIO3_MPU_IRQ      INT_IRQ_31	/* GPIO module 3 */
#define INT_GPIO4_MPU_IRQ      INT_IRQ_32	/* GPIO module 4 */
#define INT_WDT3_IRQ           INT_IRQ_35	/* Watchdog timer module 3 overflow */
#define INT_WDT4_IRQ           INT_IRQ_36	/* Watchdog timer module 4 overflow */
#define INT_GPT1_IRQ           INT_IRQ_37	/* General purpose timer module 1 */
#define INT_GPT2_IRQ           INT_IRQ_38	/* General purpose timer module 2 */
#define INT_GPT3_IRQ           INT_IRQ_39	/* General purpose timer module 3 */
#define INT_GPT4_IRQ           INT_IRQ_40	/* General purpose timer module 4 */
#define INT_GPT5_IRQ           INT_IRQ_41	/* General purpose timer module 5 */
#define INT_GPT6_IRQ           INT_IRQ_42	/* General purpose timer module 6 */
#define INT_GPT7_IRQ           INT_IRQ_43	/* General purpose timer module 7 */
#define INT_GPT8_IRQ           INT_IRQ_44	/* General purpose timer module 8 */
#define INT_GPT9_IRQ           INT_IRQ_45	/* General purpose timer module 9 */
#define INT_GPT10_IRQ          INT_IRQ_46	/* General purpose timer module 10 */
#define INT_GPT11_IRQ          INT_IRQ_47	/* General purpose timer module 11 */
#define INT_GPT12_IRQ          INT_IRQ_48	/* General purpose timer module 12 */
#define INT_PKA_IRQ            INT_IRQ_50	/* PKA crypto-accelerator */
#define INT_SHA1MD5_IRQ        INT_IRQ_51	/* SHA1/MD5 crypto-accelerator */
#define INT_RNG_IRQ            INT_IRQ_52	/* RNG module */
#define INT_MG_IRQ             INT_IRQ_53	/* MG function */
#define INT_I2C1_IRQ           INT_IRQ_56	/* I2C module 1 */
#define INT_I2C2_IRQ           INT_IRQ_57	/* I2C module 2 */
#define INT_HDQ_IRQ            INT_IRQ_58	/* HDQ/One wire */
#define INT_MCBSP1_IRQ_TX      INT_IRQ_59	/* McBSP module 1 transmit */
#define INT_MCBSP1_IRQ_RX      INT_IRQ_60	/* McBSP module 1 receive */
#define INT_MCBSP1_IRQ_OV      INT_IRQ_61	/* McBSP module 1 overflow */
#define INT_MCBSP2_IRQ_TX      INT_IRQ_62	/* McBSP module 2 transmit */
#define INT_MCBSP2_IRQ_RX      INT_IRQ_63	/* McBSP module 2 receive */
#define INT_MCBSP2_IRQ_OV      INT_IRQ_64	/* McBSP module 2 overflow */
#define INT_SPI1_IRQ           INT_IRQ_65	/* McSPI module 1 */
#define INT_SPI2_IRQ           INT_IRQ_66	/* McSPI module 2 */
#define INT_SSI_P1_MPU_IRQ0    INT_IRQ_67	/* Dual SSI port 1 interrupt request 0 */
#define INT_SSI_P1_MPU_IRQ1    INT_IRQ_68	/* Dual SSI port 1 interrupt request 1 */
#define INT_SSI_P2_MPU_IRQ0    INT_IRQ_69	/* Dual SSI port 2 interrupt request 0 */
#define INT_SSI_P2_MPU_IRQ1    INT_IRQ_70	/* Dual SSI port 2 interrupt request 1 */
#define INT_SSI_GDD_MPU_IRQ    INT_IRQ_71	/* Dual SSI GDD */
#define INT_UART1_IRQ          INT_IRQ_72	/* UART module 1 */
#define INT_UART2_IRQ          INT_IRQ_73	/* UART module 2 */
#define INT_UART3_IRQ          INT_IRQ_74	/* UART module 3 (also infrared) */
#define INT_USB_IRQ_GEN        INT_IRQ_75	/* USB device general interrupt */
#define INT_USB_IRQ_NISO       INT_IRQ_76	/* USB device non-ISO */
#define INT_USB_IRQ_ISO        INT_IRQ_77	/* USB device ISO */
#define INT_USB_IRQ_HGEN       INT_IRQ_78	/* USB host general interrupt */
#define INT_USB_IRQ_HSOF       INT_IRQ_79	/* USB host start of frame */
#define INT_USB_IRQ_OTG        INT_IRQ_80	/* USB OTG */
#define INT_VLYNQ_IRQ          INT_IRQ_81	/* VLYNQ module */
#define INT_MMC_IRQ            INT_IRQ_83	/* MMC/SD module */
#define INT_MS_IRQ             INT_IRQ_84	/* MS-PRO module */
#define INT_FAC_IRQ            INT_IRQ_85	/* FAC module */

#define IH_GPIO_BASE           (CPU_LAST+1)	/* 96=0x60 */
#define IH_GPIO_END            (IH_GPIO_BASE+128)
#define IH_MENELAUS_BASE       (IH_GPIO_END+1)
#define IH_MENELAUS_END        (IH_MENELAUS_BASE+12)
#define NR_IRQS                (IH_MENELAUS_END)
#define IH_LAST                (IH_MENELAUS_END)

#endif				/* __ASM_ARM_ARCH_OMAP2_IRQS_H */
