/* 
 * linux/include/asm-arm/arch-omap2/memory.h
 * 
 * Defines for memory map on OMAP2
 *
 * Copyright (C) 2004 Texas Instruments, Inc. 
 * 
 * This package is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. 
 * 
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED 
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE. 
 */

#ifndef __ASM_ARM_ARCH_OMAP2_MEMORY_H
#define __ASM_ARM_ARCH_OMAP2_MEMORY_H

/*
 * Task size: 3GB
 */
#define TASK_SIZE          (0xbf000000UL)
#define TASK_SIZE_26       (0x04000000UL)

/*
 * This decides where the kernel will search for a free chunk of vm
 * space during mmap's.
 */
#define TASK_UNMAPPED_BASE (0x40000000)

/*
 * Page offset: 3GB
 */
#define PAGE_OFFSET        (0xc0000000UL)
#define PHYS_OFFSET        (0x80000000UL)

/*
 * On 2420 ES2, the dram is contiguous
 */
#define __virt_to_phys__is_a_macro
#define __virt_to_phys(vpage) ((vpage) - PAGE_OFFSET + PHYS_OFFSET )
#define __phys_to_virt__is_a_macro
#define __phys_to_virt(ppage) (((ppage)  - PHYS_OFFSET ) + PAGE_OFFSET)

#define BUS_OFFSET         (0x80000000UL)

/*
 * Virtual view <-> DMA view memory address translations
 * virt_to_bus: Used to translate the virtual address to an
 *              address suitable to be passed to set_dma_addr
 * bus_to_virt: Used to convert an address for DMA operations
 *              to an address that the kernel can use.
 */
#define __virt_to_bus__is_a_macro
#define __virt_to_bus(x)   (x - PAGE_OFFSET + BUS_OFFSET)
#define __bus_to_virt__is_a_macro
#define __bus_to_virt(x)   (x - BUS_OFFSET + PAGE_OFFSET)

#endif				/* __ASM_ARM_ARCH_OMAP2_MEMORY_H */
