/* 
 * linux/include/asm-arm/arch-omap2/platform.h
 * 
 * H4 platform level defines for OMAP2 
 *
 * Copyright (C) 2004 Texas Instruments, Inc. 
 * 
 * This package is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. 
 * 
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED 
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE. 
 */

#ifndef __ASM_ARM_ARCH_OMAP2_PLATFORM_H
#define __ASM_ARM_ARCH_OMAP2_PLATFORM_H

#include <asm/hardware.h>
#include <asm/arch/io.h>

#define H4_CS0_BASE           0x04000000	/* flash (64 Meg aligned) */
#define H4_CS1_BASE           0x08000000	/* debug board */
#define H4_CS2_BASE           0x0A000000	/* wifi board */

#define OMAP_NOR_FLASH_START1 H4_CS0_BASE	/* phy addr cs0 */
#define OMAP_NOR_FLASH_START2 OMAP_NOR_FLASH_START1	/* fake for mtd */
#define OMAP_NOR_FLASH_SIZE   SZ_64M

/* NAND FLASH Base address on H4 */

#define OMAP_NAND_FLASH_START1           0x04000000	/* CS2B */
#define OMAP_NAND_FLASH_START2           0x04000000	/* CS3 */
#define GPMC_BUF_FULL                    0x00000001
#define GPMC_BUF_EMPTY                   0x00000000
#define NAND_WP_BIT                      0x00000010
#define WR_RD_PIN_MONITORING             0x00600000

#define H4_DEBUG_FPGA_BASE    H4_CS1_BASE
#define H4_DEBUG_FPGA_VA_BASE 0xE8000000

/* Ethernet base register */
#if defined(CONFIG_MACH_OMAP_H4)
# define OMAP24xx_ETHR_BASE   (H4_CS1_BASE+0x300)
# define INT_ETHER_H4         OMAP_GPIO_IRQ_NO(92)	/* 0x60+GPIO92 */
# define ETH_GPIO_H4          92	/* GPIO92 */

#else
# error "Platform not defined"

#endif				/* CONFIG_MACH_OMAP_H4 */

#endif				/* __ASM_ARM_ARCH_OMAP2_PLATFORM_H */
