/* 
 * linux/include/asm-arm/arch-omap2/serial.h
 * 
 * Serial Definitions for OMAP2
 *
 * Copyright (C) 2004 Texas Instruments, Inc. 
 * 
 * This package is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. 
 * 
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED 
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE. 
 */

#ifndef __ASM_ARM_ARCH_OMAP2_SERIAL_H
#define __ASM_ARM_ARCH_OMAP2_SERIAL_H

#include <asm/arch/hardware.h>
#include <asm/irq.h>

#define OMAP2420_BASE_BAUD    (48000000/16)

/* OMAP FCR trigger  redefinitions */
#define UART_FCR_R_TRIGGER_8  0x00	/* Mask for receive trigger set at 8 */
#define UART_FCR_R_TRIGGER_16 0x40	/* Mask for receive trigger set at 16 */
#define UART_FCR_R_TRIGGER_56 0x80	/* Mask for receive trigger set at 56 */
#define UART_FCR_R_TRIGGER_60 0xC0	/* Mask for receive trigger set at 60 */
#define UART_FCR_T_TRIGGER_8  0x00	/* Mask for transmit trigger set at 8 */
#define UART_FCR_T_TRIGGER_16 0x10	/* Mask for transmit trigger set at 16 */
#define UART_FCR_T_TRIGGER_56 0x20	/* Mask for transmit trigger set at 56 */
#define UART_FCR_T_TRIGGER_60 0x30	/* Mask for transmit trigger set at 60 */

#define STD_SERIAL_PORT_DEFNS
#define EXTRA_SERIAL_PORT_DEFNS
#define BASE_BAUD             0

#endif				/* __ASM_ARM_ARCH_OMAP2_SERIAL_H */
