/*
 *  linux/sound/arm/omap_pcm.h
 *
 *  Copyright (C) 2003-2004 Russell King.
 *  Copyright (C) 2004  Texas Instruments Inc
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 *  This is essentially responsible for looking after the SA11x0 DMA.
 * History:
 *
 * 04-23-2004   Kshitij         Changes for omap24xx/tsc2101
 *
 *
 *
 */


#ifndef _OMAP_PCM_H
#define _OMAP_PCM_H

typedef enum{
	eAudioTx=8,
        eAudioRx=9,
}dma_device_t;

struct omap_pcm_ops {
	int	(*startup)(snd_card_t *card);
	void	(*shutdown)(snd_card_t *card);
	int	(*setruntime)(snd_card_t *card, snd_pcm_runtime_t *runtime);
	int	(*samplerate)(snd_card_t *card, unsigned int rate);
};

snd_pcm_t *omap_pcm_create(snd_card_t *card, struct omap_pcm_ops *ops,dma_device_t play_dev, dma_device_t capt_dev);
int omap_pcm_open(snd_pcm_substream_t *substream);
#endif
