/*
 *  linux/sound/arm/tsc_2101.h
 *
 *  Copyright (C) 2003-2004 Russell King.
 *  Copyright (C) 2004  Texas Instruments Inc
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * History:
 *
 * 04-23-2004   Kshitij         Changes for omap24xx/tsc2101
 *
 *
 *
 */


#ifndef _TSC2101_H
#define _TSC2101_H

struct Tsc2101;
struct omap_samplerate_info{
        unsigned int fs;
        unsigned int clkdiv;
        u16 divisor;
        u16 fs_44kHz;
        u16 pll0;
        u16 pll1;
};
struct tsc2101_cfg{
	unsigned int fs:16;
	unsigned int format:3;
};
/*Codec Word Length bit D11,D10 of TSC2101_AUDIO_CTRL_1*/
#define FMT_WLEN16 0x0000	/*00 => Word length = 16.bit */
#define FMT_WLEN20 0x0400	/*01 => Word length = 20.bit*/
#define FMT_WLEN24 0x0800	/*10 => Word length = 24.bit*/
#define FMT_WLEN32 0x0C00	/*11 => Word length = 32.bit*/

#define TSC2101_AUDIO_CTRL_1        0
#define TSC2101_HEADSET_GAIN_CTRL   1
#define TSC2101_DAC_GAIN_CTRL       2
#define TSC2101_MIXER_PGA_CTRL      3
#define TSC2101_AUDIO_CTRL_2        4
#define TSC2101_CODEC_POWER_CTRL    5
#define TSC2101_AUDIO_CTRL_3        6
#define TSC2101_LCH_BASS_BOOST_N0   7
#define TSC2101_LCH_BASS_BOOST_N1   8
#define TSC2101_LCH_BASS_BOOST_N2   9
#define TSC2101_LCH_BASS_BOOST_N3   10
#define TSC2101_LCH_BASS_BOOST_N4   11
#define TSC2101_LCH_BASS_BOOST_N5   12
#define TSC2101_LCH_BASS_BOOST_D1   13
#define TSC2101_LCH_BASS_BOOST_D2   14
#define TSC2101_LCH_BASS_BOOST_D4   15
#define TSC2101_LCH_BASS_BOOST_D5   16
#define TSC2101_RCH_BASS_BOOST_N0   17
#define TSC2101_RCH_BASS_BOOST_N1   18
#define TSC2101_RCH_BASS_BOOST_N2   19
#define TSC2101_RCH_BASS_BOOST_N3   20
#define TSC2101_RCH_BASS_BOOST_N4   21
#define TSC2101_RCH_BASS_BOOST_N5   22
#define TSC2101_RCH_BASS_BOOST_D1   23
#define TSC2101_RCH_BASS_BOOST_D2   24
#define TSC2101_RCH_BASS_BOOST_D4   25
#define TSC2101_RCH_BASS_BOOST_D5   26
#define TSC2101_PLL_PROG_1          27
#define TSC2101_PLL_PROG_2          28
#define TSC2101_AUDIO_CTRL_4        29
#define TSC2101_HANDSET_GAIN_CTRL   30
#define TSC2101_BUZZER_GAIN_CTRL    31
#define TSC2101_AUDIO_CTRL_5        32
#define TSC2101_AUDIO_CTRL_6        33
#define TSC2101_AUDIO_CTRL_7        34
#define TSC2101_GPIO_CTRL           35
#define TSC2101_AGC_CTRL            36
#define TSC2101_POWERDOWN_STS       37



struct Tsc2101 *tsc2101_create(snd_card_t *card);
//void tsc2101_configure(struct Tsc2101 *tsc, struct omap_samplerate_info *conf);
void tsc2101_configure(struct omap_samplerate_info *conf);
int tsc2101_open(struct Tsc2101 *tsc);
void tsc2101_close(struct Tsc2101 *tsc);
void tsc2101_suspend(struct Tsc2101 *tsc);
void tsc2101_resume(struct Tsc2101 *tsc);
u32 tsc2101_read(u8 address);
void tsc2101_write(u8 address, u32 data);

#endif

